com.fasterxml.jackson.core

## Enum Base64Variant.PaddingReadBehaviour

- java.lang.Object
- - java.lang.Enum<Base64Variant.PaddingReadBehaviour>
  - - com.fasterxml.jackson.core.Base64Variant.PaddingReadBehaviour

All Implemented Interfaces:
  Serializable, Comparable<Base64Variant.PaddingReadBehaviour>

Enclosing class:
  Base64Variant

    public static enum Base64Variant.PaddingReadBehaviour
    extends Enum<Base64Variant.PaddingReadBehaviour>

Defines how the Base64Variant deals with Padding while reading

Since:
  2.12

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PADDING_ALLOWED` Padding is allowed but not required in Base64 content being read: no exception thrown based on existence or absence, as long as proper padding characters are used.
`PADDING_FORBIDDEN` Padding is not allowed in Base64 content being read (finding something that looks like padding at the end of content results in an exception)
`PADDING_REQUIRED` Padding is required in Base64 content being read (missing padding for incomplete ending quartet results in an exception)

### Method Summary

All Methods Static Methods Concrete Methods
`static Base64Variant.PaddingReadBehaviour` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Base64Variant.PaddingReadBehaviour[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PADDING_FORBIDDEN

    public static final Base64Variant.PaddingReadBehaviour PADDING_FORBIDDEN

Padding is not allowed in Base64 content being read (finding something that looks like padding at the end of content results in an exception)

#### PADDING_REQUIRED

    public static final Base64Variant.PaddingReadBehaviour PADDING_REQUIRED

Padding is required in Base64 content being read (missing padding for incomplete ending quartet results in an exception)

#### PADDING_ALLOWED

    public static final Base64Variant.PaddingReadBehaviour PADDING_ALLOWED

Padding is allowed but not required in Base64 content being read: no exception thrown based on existence or absence, as long as proper padding characters are used.

### Method Detail

#### values

    public static Base64Variant.PaddingReadBehaviour[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Base64Variant.PaddingReadBehaviour c : Base64Variant.PaddingReadBehaviour.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Base64Variant.PaddingReadBehaviour valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null